//go:build !(windows || plan9 || wasip1 || js || ios)
// +build !windows,!plan9,!wasip1,!js,!ios

package logging

import (
	"log/syslog"
)

// SyslogLogger writes to syslog on syslog-enabled systems.
type SyslogLogger struct {
	EnableDebug bool
	Prefix      string
	alert,
	crit,
	debug,
	emerg,
	err,
	info,
	notice,
	warning *syslog.Writer
}
